##########################################################################
#
# chile1_defaultSetup.mod written by collector Version 1.06 of Thursday 20110728.1222:46
# FPGA Version V207 .mod file written on 20110902-0803:53.00\n
#
##########################################################################

pwrUpAfeSupplies=1

!delay=500

afeInterfaceEnbl=3  # Allow interface control via gateway to AFE1 and AFE2
# Setup the cds ports
#CdsPortConfigReg=1.0(using FPGA Default)  # CdsPortConfigReg - Treat AFE1 and AFE2 as seperate devices
#CdsChanSlctReg=255.0(using FPGA Default)  # CdsChanSlctReg - enable the cds outputs to the AFE

chanSrcSlct[0]=1.0              # chansrcslct[0] - Map hardware acquisition channel x to data channel 1
chanSrcSlct[1]=2.0              # chansrcslct[1] - Map hardware acquisition channel x to data channel 2
chanSrcSlct[2]=0.0              # chansrcslct[2] - Map hardware acquisition channel x to data channel 3
chanSrcSlct[3]=0.0              # chansrcslct[3] - Map hardware acquisition channel x to data channel 4
chanSrcSlct[4]=0.0              # ChanSrcSlct[4] - Map hardware acquisition channel x to data channel 5
chanSrcSlct[5]=0.0              # ChanSrcSlct[5] - Map hardware acquisition channel x to data channel 6
chanSrcSlct[6]=0.0              # ChanSrcSlct[6] - Map hardware acquisition channel x to data channel 7
chanSrcSlct[7]=0.0              # ChanSrcSlct[7] - Map hardware acquisition channel x to data channel 8

# Initialize the AFE Dacs
afe2ClkHiVal[]=0.0
afe2ClkLoVal[]=0.0
afe2HVBiasVal[]=0.0
afe2LVBiasVal[]=0.0
afe1ClkHiVal[]=0.0
afe1ClkLoVal[]=0.0
afe1HVBiasVal[]=0.0
afe1LVBiasVal[]=0.0

# Detector setup
pxlRows=4096.0                  # pxlrows - Rows per detector
pxlCols=2048.0                  # pxlcols - Cols per Detector
mosaicRows=1.0                  # mosaicrows - number of rows of detectors in mosaic
mosaicCols=1.0                  # mosaiccols - number of columns of detectors in mosaic
numOutputs=2.0                  # numoutputs - Number of output channels per detector
outputCfg=1.0                   # outputcfg - 0 if numOutputs is 1 or 4

preScanCols=50.0                # prescancols - prescan in x to be saved
ovrScanCols=50.0                # ovrscancols - postscan in x to be saved
ovrScanRows=0.0                 # ovrscanrows - post scan in y to be saved

# Focal plane setup
arrayType=0.0                   # arraytype - the type of detectors
arrayID[0]=1.0                  # arrayid[0] - identifier for detector Connected to hardware channel[1]
arrayID[1]=2.0                  # arrayid[1] - identifier for detector Connected to hardware channel[2]
arrayID[2]=0.0                  # arrayID[2] - identifier for detector Connected to hardware channel[3]
arrayID[3]=0.0                  # arrayID[3] - identifier for detector Connected to hardware channel[4]
arrayID[4]=0.0                  # arrayID[4] - identifier for detector Connected to hardware channel[5]
arrayID[5]=0.0                  # arrayID[5] - identifier for detector Connected to hardware channel[6]
arrayID[6]=0.0                  # arrayID[6] - identifier for detector Connected to hardware channel[7]
arrayID[7]=0.0                  # arrayID[7] - identifier for detector Connected to hardware channel[8]

# starting x,y position of each detector in the focalplane in pixels
xStart[0]=1.0                   # xstart[0] - x position of LL corner of detector[0]
yStart[0]=1.0                   # ystart[0] - y position of LL corner of detector[0]
xStart[1]=4097.0                # xstart[1] - x position of LL corner of detector[1]
yStart[1]=1.0                   # ystart[1] - y position of LL corner of detector[1]

# Software attribute setup
finDataType=32.0                # finDataType - DHS_UINT four bytes 32 bits
frmsPerRdOut=1.0                # frmsPerRdOut - number of readouts for one simple exposure
captureMode=1.0                 # captureMode - capture mode 0=NORMAL, 1=SEP, 2=BLOCKREAD
expMode=0.0                     # expMode - mode of the exposure
processMode=0.0                 # processMode - Processing mode -- Switch off the telemetry collection
expVector=1.0                   # expVector - 1 = Normal Clr,Int,Read readout, 2=Clear only, 4=Read only
asyncVector=0.0                 # asyncVector - Currently not used (always 0).
labSystem=3.0                   # labsystem - Gives usage of filenames and Pre,Post telemetry reads
rawPxlSize=4.0                  # rawPxlSize - number of Bytes in a raw pixel value
finPxlSize=4.0                  # finPxlSize - number of Bytes in a finished pixel value
avNameSize=32.0                 # avNameSIze - Max character length of attribute name
avValueSize=32.0                # avValueSize - Max character length of attribute value
avCommentSize=64.0              # avCommentSize - Max character length of attribute comment

# Exposure Attribute setup
imageFile=test          #Default file name prefix
imageDir=/data                  # imageDir - Default data directory for images
expID=0.000             #default expID defaults to MSD of exposure
intTime=0.000            #Observer requested integration time

# Sequencer loop attributes
SeqLoopReg[0]=4096.0            # SeqLoopReg[0] - seqRowCount - row counter for sequencer code
SeqLoopReg[1]=2048.0            # SeqLoopReg[1] - seqColCount - column counter for sequencer code
SeqLoopReg[2]=1.0               # SeqLoopReg[2] - seqRowBin - binning in row direction
SeqLoopReg[3]=1.0               # SeqLoopReg[3] - seqColBin - binning in Column direction
SeqLoopReg[4]=4.0               # SeqLoopReg[4] - seqRoiRow - first row of the ROI readout
SeqLoopReg[5]=0.0               # SeqLoopReg[5] - seqRoiCol - first column of the ROI readout
SeqLoopReg[6]=50.0              # SeqLoopReg[6] - seqRoiRsize - number of rows in the ROI
SeqLoopReg[7]=50.0              # SeqLoopReg[7] - seqRoiCsize - number of columns in the ROI
SeqLoopReg[8]=0.0               # SeqLoopReg[8] - seqFocusShft - number of rows to shift between focus exposures
SeqLoopReg[9]=0.0               # SeqLoopReg[9] - seqPreScan - number of prescan pixels
SeqLoopReg[10]=0.0              # SeqLoopReg[10] - seqShtrDly - ms needed to open/close the shutter

serBinEnbl=0.0                  # serBinEnbl - Enable serial binning
rdRoiEnbl=0.0                   # rdRoiEnbl - Enable ROI readout mode

# Pix Services setup
SCDataPrecision=3                    # setup to send full 18 bit precision
SCDataDestination=1                  # Send raw data to the FPDP data port
#StreamModeEnable=1.0(using FPGA Default)  # StreamModeEnable - Use stream data mode

# Buffer addresses for image memory slices of 631688 words (1124 cols x 562 rows) each
bufBaseAddr[0]=0.0              # BufBaseAddr[0] - Buffer addresses for image memory
bufBaseAddr[1]=631688.0         # BufBaseAddr[1] - Buffer addresses for image memory
bufBaseAddr[2]=1263376.0        # BufBaseAddr[2] - Buffer addresses for image memory
bufBaseAddr[3]=1895064.0        # BufBaseAddr[3] - Buffer addresses for image memory
bufBaseAddr[4]=0.0              # BufBaseAddr[4] - Buffer addresses for image memory
bufBaseAddr[5]=0.0              # BufBaseAddr[5] - Buffer addresses for image memory
bufBaseAddr[6]=0.0              # BufBaseAddr[6] - Buffer addresses for image memory
bufBaseAddr[7]=0.0              # BufBaseAddr[7] - Buffer addresses for image memory

# Clear the Xfer statistics
clearStats=0

#afeclkStateReg=0.0(using FPGA Default)  # AfeClkStateReg - This is a very easily recognizable pattern

afe1VidOffVal[0]=2082.0         # Afe1VidOffVal[0] - Empirically derived to set all quadrants at approx. 6500 ADU.
afe1VidOffVal[1]=2074.0         # Afe1VidOffVal[1] - Empirically derived to set all quadrants at approx. 6500 ADU.
afe1VidOffVal[2]=2087.0         # Afe1VidOffVal[2] - Empirically derived to set all quadrants at approx. 6500 ADU.
afe1VidOffVal[3]=2069.0         # Afe1VidOffVal[3] - Empirically derived to set all quadrants at approx. 6500 ADU.
afe2VidOffVal[0]=2800.0         # Afe2VidOffVal[0] - Empirically derived to set all quadrants at approx. 6500 ADU.
afe2VidOffVal[1]=2800.0         # Afe2VidOffVal[1] - Empirically derived to set all quadrants at approx. 6500 ADU.
afe2VidOffVal[2]=2800.0         # Afe2VidOffVal[2] - Empirically derived to set all quadrants at approx. 6500 ADU.
afe2VidOffVal[3]=2800.0         # Afe2VidOffVal[3] - Empirically derived to set all quadrants at approx. 6500 ADU.
