##########################################################################
#
# chile1_setVoltages.mod written by collector Version 1.06 of Thursday 20110728.1222:46
# FPGA Version V207 .mod file written on 20110902-0803:53.00\n
#
##########################################################################

!delay=1000

pwrUpAfeSupplies=1

!delay=1000

#CdsPortConfigReg=1.0(using FPGA Default)  # CdsPortConfigReg - Treat AFE1 and AFE2 as separate devices =0
#cdsChanSlctReg=255.0(using FPGA Default)  # CdsChanSlctReg - enable the cds outputs to the AFE =15

chanSrcSlct[0]=1.0              # chansrcslct[0] - Map acquisition channel 1 to hardware channel 1
chanSrcSlct[1]=2.0              # chansrcslct[1] - Map acquisition channel 2 to hardware channel 2
chanSrcSlct[2]=0.0              # chansrcslct[2] - Map acquisition channel 1 to hardware channel 1
chanSrcSlct[3]=0.0              # chansrcslct[3] - Map acquisition channel 2 to hardware channel 2

afe1VidOffVal[0]=2082.0         # Afe1VidOffVal[0] - Empirically derived to set all quadrants at approx. 1500 ADU. =2005
afe1VidOffVal[1]=2074.0         # Afe1VidOffVal[1] - Empirically derived to set all quadrants at approx. 1500 ADU.=2000
afe1VidOffVal[2]=2087.0         # Afe1VidOffVal[2] - Empirically derived to set all quadrants at approx. 1500 ADU. =2005
afe1VidOffVal[3]=2069.0         # Afe1VidOffVal[3] - Empirically derived to set all quadrants at approx. 1500 ADU.=2000

############################################################
#     Setting attributes for afe1Clocks                    #
############################################################
afe1ClkLoVal[12]=0.0            # Afe1ClkLoVal[12] - setting d1_P1_LoVal
afe1ClkLoVal[13]=0.0            # Afe1ClkLoVal[13] - setting d1_P2_LoVal
afe1ClkLoVal[14]=0.0            # Afe1ClkLoVal[14] - setting d1_P3_LoVal
afe1ClkLoVal[1]=1.0             # Afe1ClkLoVal[1] - setting d1_S1_L_LoVal
afe1ClkLoVal[2]=1.0             # Afe1ClkLoVal[2] - setting d1_S2_L_LoVal
afe1ClkLoVal[5]=1.0             # Afe1ClkLoVal[5] - setting d1_S1_R_LoVal
afe1ClkLoVal[6]=1.0             # Afe1ClkLoVal[6] - setting d1_S2_R_LoVal
afe1ClkLoVal[8]=1.0             # Afe1ClkLoVal[8] - setting d1_S3_LoVal
afe1ClkLoVal[3]=1.0             # Afe1ClkLoVal[3] - setting d1_SW_L_LoVal
afe1ClkLoVal[7]=1.0             # Afe1ClkLoVal[7] - setting d1_SW_R_LoVal
afe1ClkLoVal[0]=0.0             # Afe1ClkLoVal[0] - setting d1_RG_L_LoVal
afe1ClkLoVal[4]=0.0             # Afe1ClkLoVal[4] - setting d1_RG_R_LoVal
afe1ClkLoVal[15]=0.0            # Afe1ClkLoVal[15] - setting d1_DG_LoVal

afe1ClkHiVal[12]=10.0           # Afe1ClkHiVal[12] - setting d1_P1_HiVal
afe1ClkHiVal[13]=10.0           # Afe1ClkHiVal[13] - setting d1_P2_HiVal
afe1ClkHiVal[14]=10.0           # Afe1ClkHiVal[14] - setting d1_P3_HiVal
afe1ClkHiVal[1]=11.0            # Afe1ClkHiVal[1] - setting d1_S1_L_HiVal
afe1ClkHiVal[2]=11.0            # Afe1ClkHiVal[2] - setting d1_S2_L_HiVal
afe1ClkHiVal[5]=11.0            # Afe1ClkHiVal[5] - setting d1_S1_R_HiVal
afe1ClkHiVal[6]=11.0            # Afe1ClkHiVal[6] - setting d1_S2_R_HiVal
afe1ClkHiVal[8]=11.0            # Afe1ClkHiVal[8] - setting d1_S3_HiVal
afe1ClkHiVal[3]=11.0            # Afe1ClkHiVal[3] - setting d1_SW_L_HiVal
afe1ClkHiVal[7]=11.0            # Afe1ClkHiVal[7] - setting d1_SW_R_HiVal
afe1ClkHiVal[0]=12.0            # Afe1ClkHiVal[0] - setting d1_RG_L_HiVal
afe1ClkHiVal[4]=12.0            # Afe1ClkHiVal[4] - setting d1_RG_R_HiVal
afe1ClkHiVal[15]=12.0           # Afe1ClkHiVal[15] - setting d1_DG_HiVal

############################################################
#     Setting attributes for afe1Biases                    #
############################################################
Afe1LVBiasVal[0]=1.0            # Afe1LVBiasVal[0] - setting d1_OG1_L_Bias
Afe1LVBiasVal[4]=1.0            # Afe1LVBiasVal[4] - setting d1_OG1_R_Bias
Afe1LVBiasVal[1]=4.0            # Afe1LVBiasVal[1] - setting d1_OG2_L_Bias
Afe1LVBiasVal[5]=4.0            # Afe1LVBiasVal[5] - setting d1_OG2_R_Bias

Afe1HVBiasVal[0]=26.0           # Afe1HVBiasVal[0] - setting d1_OD_L_Bias
Afe1HVBiasVal[4]=26.0           # Afe1HVBiasVal[4] - setting d1_OD_R_Bias
Afe1HVBiasVal[1]=18.0           # Afe1HVBiasVal[1] - setting d1_RD_L_Bias
Afe1HVBiasVal[5]=18.0           # Afe1HVBiasVal[5] - setting d1_RD_R_Bias
Afe1HVBiasVal[2]=24.0           # Afe1HVBiasVal[2] - setting d1_DD_L_Bias
Afe1HVBiasVal[6]=24.0           # Afe1HVBiasVal[6] - setting d1_DD_R_Bias

ovrScanCols=50.0                # ovrscancols - 
ovrScanRows=0.0                 # ovrscanrows - 
preScanCols=50.0                # prescancols - 

afeClkStateReg=0xffffffff

